com.sun.jna.platform.win32

## Class WinBase.FILE_BASIC_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.FILE_BASIC_INFO

- Direct Known Subclasses:
    WinBase.FILE_BASIC_INFO.ByReference
  Enclosing interface:
    WinBase

      public static class WinBase.FILE_BASIC_INFO
      extends Structure

  Contains the basic information for a file. Used for file handles.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinBase.FILE_BASIC_INFO.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinNT.LARGE_INTEGER` | `ChangeTime` The time the file was changed in FILETIME format.
    `WinNT.LARGE_INTEGER` | `CreationTime` The time the file was created in FILETIME format, which is a 64-bit value representing the number of 100-nanosecond intervals since January 1, 1601 (UTC).
    `int` | `FileAttributes` The file attributes.
    `WinNT.LARGE_INTEGER` | `LastAccessTime` The time the file was last accessed in FILETIME format.
    `WinNT.LARGE_INTEGER` | `LastWriteTime` The time the file was last written to in FILETIME format.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinBase.FILE_BASIC_INFO()`
    `WinBase.FILE_BASIC_INFO(Pointer memory)`
    `WinBase.FILE_BASIC_INFO(WinBase.FILETIME CreationTime, WinBase.FILETIME LastAccessTime, WinBase.FILETIME LastWriteTime, WinBase.FILETIME ChangeTime, int FileAttributes)`
    `WinBase.FILE_BASIC_INFO(WinNT.LARGE_INTEGER CreationTime, WinNT.LARGE_INTEGER LastAccessTime, WinNT.LARGE_INTEGER LastWriteTime, WinNT.LARGE_INTEGER ChangeTime, int FileAttributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.
    `static int` | `sizeOf()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CreationTime

          public WinNT.LARGE_INTEGER CreationTime

      The time the file was created in FILETIME format, which is a 64-bit value representing the number of 100-nanosecond intervals since January 1, 1601 (UTC).

    - #### LastAccessTime

          public WinNT.LARGE_INTEGER LastAccessTime

      The time the file was last accessed in FILETIME format.

    - #### LastWriteTime

          public WinNT.LARGE_INTEGER LastWriteTime

      The time the file was last written to in FILETIME format.

    - #### ChangeTime

          public WinNT.LARGE_INTEGER ChangeTime

      The time the file was changed in FILETIME format.

    - #### FileAttributes

          public int FileAttributes

      The file attributes. For a list of attributes, see File Attribute Constants. If this is set to 0 in a FILE_BASIC_INFO structure passed to SetFileInformationByHandle then none of the attributes are changed.

  - ### Constructor Detail

    - #### WinBase.FILE_BASIC_INFO

          public WinBase.FILE_BASIC_INFO()

    - #### WinBase.FILE_BASIC_INFO

          public WinBase.FILE_BASIC_INFO(Pointer memory)

    - #### WinBase.FILE_BASIC_INFO

          public WinBase.FILE_BASIC_INFO(WinBase.FILETIME CreationTime,
                                 WinBase.FILETIME LastAccessTime,
                                 WinBase.FILETIME LastWriteTime,
                                 WinBase.FILETIME ChangeTime,
                                 int FileAttributes)

    - #### WinBase.FILE_BASIC_INFO

          public WinBase.FILE_BASIC_INFO(WinNT.LARGE_INTEGER CreationTime,
                                 WinNT.LARGE_INTEGER LastAccessTime,
                                 WinNT.LARGE_INTEGER LastWriteTime,
                                 WinNT.LARGE_INTEGER ChangeTime,
                                 int FileAttributes)

  - ### Method Detail

    - #### sizeOf

          public static int sizeOf()

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.